gr-baz Package

Classes | Namespaces | Macros | Enumerations | Functions
rtl2832-tuner_fc0012.h File Reference
`#include "rtl2832.h"`
Include dependency graph for rtl2832-tuner_fc0012.h:

Go to the source code of this file.

## Classes
class | RTL2832_NAMESPACE::TUNERS_NAMESPACE::fc0012

## Namespaces
namespace | RTL2832_NAMESPACE
namespace | RTL2832_NAMESPACE::TUNERS_NAMESPACE

## Macros
#define | FC0012_OK 0
#define | FC0012_ERROR 1
#define | FC0012_I2C_ADDR 0xc6
#define | FC0012_CHECK_ADDR 0x00
#define | FC0012_CHECK_VAL 0xa1
#define | FC0012_BANDWIDTH_6MHZ 6
#define | FC0012_BANDWIDTH_7MHZ 7
#define | FC0012_BANDWIDTH_8MHZ 8

## Enumerations
enum | FC0012_LNA_GAIN_VALUE { FC0012_LNA_GAIN_LOW = 0x0 , FC0012_LNA_GAIN_MIDDLE = 0x1 , FC0012_LNA_GAIN_HIGH = 0x2 }

## Functions
int | FC0012_Open (RTL2832_NAMESPACE::tuner *pTuner)
int | FC0012_SetFrequency (RTL2832_NAMESPACE::tuner *pTuner, unsigned long Frequency, unsigned short Bandwidth)

## Macro Definition Documentation

## ◆ FC0012_BANDWIDTH_6MHZ

#define FC0012_BANDWIDTH_6MHZ 6

## ◆ FC0012_BANDWIDTH_7MHZ

#define FC0012_BANDWIDTH_7MHZ 7

## ◆ FC0012_BANDWIDTH_8MHZ

#define FC0012_BANDWIDTH_8MHZ 8

## ◆ FC0012_CHECK_ADDR

#define FC0012_CHECK_ADDR 0x00

## ◆ FC0012_CHECK_VAL

#define FC0012_CHECK_VAL 0xa1

## ◆ FC0012_ERROR

#define FC0012_ERROR 1

## ◆ FC0012_I2C_ADDR

#define FC0012_I2C_ADDR 0xc6

## ◆ FC0012_OK

#define FC0012_OK 0

## Enumeration Type Documentation

## ◆ FC0012_LNA_GAIN_VALUE

enum FC0012_LNA_GAIN_VALUE

Enumerator
FC0012_LNA_GAIN_LOW |
FC0012_LNA_GAIN_MIDDLE |
FC0012_LNA_GAIN_HIGH |

## Function Documentation

## ◆ FC0012_Open()

int FC0012_Open | ( | RTL2832_NAMESPACE::tuner * | pTuner | ) |

## ◆ FC0012_SetFrequency()

int FC0012_SetFrequency | ( | RTL2832_NAMESPACE::tuner * | pTuner,
|  | unsigned long | Frequency,
|  | unsigned short | Bandwidth
| ) |  |